Module
Contents
Index 🔎︎

# ThisComponent Statement

Addresses the active component so that its properties can be read and set. ThisComponent is used from document Basic, where it represents the document the Basic belongs to. The type of object accessed by ThisComponent depends on the document type.

## Syntax:

    ThisComponent

## Example:

    Sub Main

    REM updates the "Table of Contents" in a text doc

    Dim allindexes, index As Object

        allindexes = ThisComponent.getDocumentIndexes()

        index = allindexes.getByName("Table of Contents1")

        REM use the default name for Table of Contents and a 1

        index.update()

    End Sub